using LeafWeb.Core.Entities;

namespace LeafWeb.Core.Parsers
{
	public static class LeafInputCleaner
	{
		public static void Clean(LeafInputData leafInput)
		{
			foreach (var data in leafInput.Data)
			{
				if (!string.IsNullOrEmpty(data.HHMMSS) && data.HHMMSS.Length > 8)
				{
					data.HHMMSS = data.HHMMSS.Substring(data.HHMMSS.Length - 8, 8);
				}
			}
		}
	}
}